Bug 11324 - Change sharesec output back to previous format
Change sharesec output back to previous format
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.2.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-09 17:57 UTC by Christof Schmitt
Modified: 2015-07-05 19:05 UTC (History)
1 user (show)

See Also:


Attachments
Patches for 4.2 (9.54 KB, patch)
2015-06-23 18:28 UTC, Christof Schmitt
cs: review+
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christof Schmitt 2015-06-09 17:57:28 UTC
This is a follow-on to BUG 11237. One more change is required to get back
to the output format used by sharesec before 4.2 (switching back to use
ALLOWED/DENIED and FULL/CHANGE/READ instead of just printing flags).

I will submit a patch after verifying the change.
Comment 1 Andrew Bartlett 2015-06-09 21:30:26 UTC
At this point I think we need a blackbox test asserting on the output.
Comment 2 Christof Schmitt 2015-06-09 21:32:33 UTC
Yes, i am also working on adding a test script.
Comment 3 Christof Schmitt 2015-06-23 18:28:03 UTC
Created attachment 11187 [details]
Patches for 4.2

Patches for 4.2. The change to sharesec happened after the release of 4.1,
so only 4.2 needs to be fixed.
Comment 4 Karolin Seeger 2015-06-29 19:50:44 UTC
Pushed to autobuild-v4-2-test.
Comment 5 Karolin Seeger 2015-07-05 19:05:12 UTC
(In reply to Karolin Seeger from comment #4)
Pushed.
Closing out bug report.

Thanks!